/* get random num */ 

#include "tcb/tcb.h"
#include "tcb/share_app_ttcb.h"
#include <sys/time.h>

	descriptor_t descriptor;

int main()
{
	LA_out_t la_out;
	rand_out_t rand_out;
	error_out_t err_out;

	int orig_desc;
	int orig_wi;
	int i;
	int j;
	int TTCBerror;
	
	TTCBerror=openTCBConnection(&descriptor);
	
	if (TTCBerror < 0){
	  print_error_TTCB(TTCBerror);
	  closeTTCBConnection(&descriptor); 
	  return 1;
	} else 
	  printf("Hello. My eid is: %u  (%u %u) \n", descriptor.eid, descriptor.eid /256, descriptor.eid %256);

	// get random number
	getRandom(&descriptor, &rand_out); //call TTCB
	if (rand_out.error < 0) 
		print_error_TTCB(rand_out.error);
	else
		for (j=0; j < sizeof(random_t); j++) printf("%02X", rand_out.random[j]);
	printf("\n");

	// close connection
finalize:
        closeTCBConnection(&descriptor); //call TTCB
        return 0;
}
