package ttcb;

/**
 * Title:        TTCB for Java
 * Description:  Implementing a class that encapsulates TTCB C code.
 * Copyright:    Copyright (c) 2001
 * Company:      LASIGE-DI-FC-UL
 * @author Lau Cheuk Lung and Miguel Correia
 * @version 1.0
 */


/* This is used to give the TTCB Java-Api library data it needs everytime it runs. 
The programer should use this transparently: he should not read or write to the
fields. */


public class descriptor_t extends share_app_ttcb {

  public int desc_orig;
  public int wi_orig;
  public short eid;
  public byte protection;
  public byte[] key;
  public short seq;

  public descriptor_t() {
    key = new byte[SIZE_SKEY];
  }
}
