// TTCB test application

import java.lang.*;
import java.io.*;
import ttcb.TTCB;      // TTCB package
import ttcb.descriptor_t;
import ttcb.timestamp_out_t;

class HelloWorld { // extends share_app_ttcb {


    public static void main(String[] args) throws IOException {

    	TTCB my_ttcb = new TTCB();  // create a TTCB interface
        descriptor_t descriptor = new descriptor_t();
	timestamp_out_t ts = new timestamp_out_t();
        int err= 0;

	// ----- init -----
	try {
            err = my_ttcb.openTCBConnection(descriptor);
	} catch(Exception ex){ex.printStackTrace(); System.exit(1);}
	if(err < 0) {
	    System.out.println("Error opening connection with the TTCB: " + err);
	    System.exit(1);
	}
	System.out.println("My eid is: " + descriptor.eid);


	// ----- end -----
	err = my_ttcb.closeTCBConnection(descriptor);

	System.exit(0);
    }
}
